package cn.estsh.i3plus.core.apiservice.serviceimpl.base;

import cn.estsh.i3plus.core.api.iservice.base.ISynchronizedService;
import cn.estsh.i3plus.core.api.iservice.busi.ISysOrderNoRuleService;
import cn.estsh.i3plus.pojo.platform.bean.SysOrderNoRule;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-09-03 14:00
 * @Modify:
 **/
@Service
public class SynchronizedService implements ISynchronizedService {

    @Autowired
    private ISysOrderNoRuleService sysOrderNoRuleService;

    @Override
    public synchronized SysOrderNoRule nextOrderNo(String code) {
        return sysOrderNoRuleService.doGetSysOrderNoRuleCode(code);
    }

    /**
     * 根据单号代码获取单号信息
     *
     * @param code 单号代码
     * @param num
     * @return 单号信息
     */
    @Override
    public synchronized List<SysOrderNoRule> nextOrderNo(String code, int num) {
        return sysOrderNoRuleService.doGetSysOrderNoRuleByCodeAndNum(code,num);
    }
}
